/*
*
* Copyright (c) 2004 Sun Microsystems, Inc.
* All rights reserved.
* You may not modify, use, reproduce, or distribute this software except in compliance with the terms
* of the License at: http://developer.sun.com/berkeley_license.html
* Author : Sameer Tyagi, Sun Microsystems s.t@sun.com
* "Patterns and Strategies for Building Document-Based Web Services"
*  http://java.sun.com/developer/technicalArticles/xml/jaxrpcpatterns
*/

import com.examples.anyuri.clientbindings.*;

import java.net.URI;


public class WSDLClient {

    public static void main(String[] args) throws Exception {
        String url = "http://localhost:9090/anyuri/jaxrpc";
        if (args.length == 1) {
            url = args[0];
        }
        POService_Impl serviceproxy = new POService_Impl();
        IPurchaseOrder_Stub stub = (IPurchaseOrder_Stub) (serviceproxy.getIPurchaseOrderPort());
        stub._setProperty(javax.xml.rpc.Stub.ENDPOINT_ADDRESS_PROPERTY, url);
        PurchaseOrderStatus result = stub.acceptPO(new URI("http://localhost:9090/anyuri/purchaseorder.xml"));
        System.out.println("Order id is : " + result.getOrderid());
        System.out.println("Timestamp is : " + result.getTimestamp());
    }


}
